Subject: Re: [PATCH 2.6]: Make packet scheduler clock source configurable

From: "David S. Miller" <[email-masked]>
Date: Thu, 22 Jul 2004 17:17:52 -0700

On Fri, 23 Jul 2004 01:36:22 +0200
Patrick McHardy <[email-masked]> wrote:

> > I suggest we just expand the dependency list for NET_SCH_CLK_TSC
> > to include SPARC64 PPC64 and perhaps some other easy to verify
> > as having a working get_cycles() implementation.  I believe that
> > as long as it increments at some rate >= jiffies, the psched
> > calibration will get things into a working state.
> 
> It needs to increment at slightly above 1Mhz, otherwise delay will
> be zero after this division and everything will fall apart:
> delay /= rdelay.

I see.  I know for a fact that sparc64 meets this criterion, and
I'm pretty sure ppc64 does too.

We could bug check this in psched calibration, in fact I think
we should.